Bug 396041 - F8 kernel breaks the slabtop utility
F8 kernel breaks the slabtop utility
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 299311 418441
  Show dependency treegraph
 
Reported: 2007-11-22 14:18 EST by Arjan van de Ven
Modified: 2008-02-07 15:56 EST (History)
0 users

See Also:
Fixed In Version: kernel-2.6.23.14-107.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 06:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2007-11-22 14:18:50 EST
Description of problem:

the F8 kernel breaks the very useful "slabtop" utility (from the F8 procps
package)... by not having /proc/slabinfo anymore

Steps to Reproduce:
1. install procps
2. run "slabtop"
3. weep
Comment 1 Chuck Ebbert 2007-11-26 10:42:39 EST
Did you try compiling Documentation/vm/slabinfo.c ?
Comment 2 Dave Jones 2007-11-26 22:49:43 EST
that program should probably be added to procps.
Comment 3 Chuck Ebbert 2008-01-08 17:44:39 EST
Fix in CVS, /proc/slabinfo is back.
Comment 4 Fedora Update System 2008-01-15 17:56:00 EST
kernel-2.6.23.13-105.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 5 Fedora Update System 2008-01-24 17:01:25 EST
kernel-2.6.23.14-115.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 6 David Juran 2008-01-30 06:48:08 EST
works fine now with kernel-2.6.23.14-107.fc8
Comment 7 Fedora Update System 2008-02-07 15:56:27 EST
kernel-2.6.23.14-115.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.